apiVersion: submariner.io/v1alpha1
kind: ServiceDiscovery
metadata:
  creationTimestamp: "2024-12-11T23:21:39Z"
  finalizers:
  - controllers.submariner.io/cleanup
  generation: 1
  managedFields:
  - apiVersion: submariner.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"controllers.submariner.io/cleanup": {}
        f:ownerReferences:
          .: {}
          k:{"uid":"664b97f0-21e4-4b46-b2f6-2dd3a747b13f"}: {}
      f:spec:
        .: {}
        f:brokerK8sApiServer: {}
        f:brokerK8sApiServerToken: {}
        f:brokerK8sCA: {}
        f:brokerK8sRemoteNamespace: {}
        f:brokerK8sSecret: {}
        f:clusterID: {}
        f:clustersetIPCIDR: {}
        f:debug: {}
        f:globalnetEnabled: {}
        f:namespace: {}
        f:repository: {}
        f:version: {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:39Z"
  name: service-discovery
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: submariner.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: Submariner
    name: submariner
    uid: 664b97f0-21e4-4b46-b2f6-2dd3a747b13f
  resourceVersion: "10730790"
  uid: 8a22a72c-35e3-4ae7-ae10-a801feb4da4f
spec:
  brokerK8sApiServer: ##redacted-api-server##
  brokerK8sApiServerToken: ##redacted-token##
  brokerK8sCA: ##redacted-ca##
  brokerK8sRemoteNamespace: submariner-k8s-broker
  brokerK8sSecret: submariner-broker-secret
  clusterID: rdr-blue-site-svl-2
  clustersetIPCIDR: 243.0.16.0/20
  debug: false
  globalnetEnabled: true
  namespace: submariner-operator
  repository: quay.io/submariner
  version: 0.19.0
